curl --request PUT \
--url https://api.vantage.sh/v2/report_notifications/{report_notification_token} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"cost_report_token": "<string>",
"user_tokens": [
"<string>"
],
"recipient_channels": [
"<string>"
],
"frequency": "<string>",
"change": "<string>"
}
'import requests
url = "https://api.vantage.sh/v2/report_notifications/{report_notification_token}"
payload = {
"title": "<string>",
"cost_report_token": "<string>",
"user_tokens": ["<string>"],
"recipient_channels": ["<string>"],
"frequency": "<string>",
"change": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
cost_report_token: '<string>',
user_tokens: ['<string>'],
recipient_channels: ['<string>'],
frequency: '<string>',
change: '<string>'
})
};
fetch('https://api.vantage.sh/v2/report_notifications/{report_notification_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "rprt_ntfctn_b36b208a90ee87f6",
"title": "Updated Report Notification",
"cost_report_token": "rprt_07b88c04aa6bed8c",
"user_tokens": [
"usr_35ed19fadcfed8c9"
],
"frequency": "weekly",
"change": "dollars"
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}Update report notification
Update a ReportNotification.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
Update a ReportNotification.
The title of the ReportNotification.
The CostReport token.
The Users that receive the notification.
The Slack or Microsoft Teams channels that receive the notification.
The frequency the ReportNotification is sent. Possible values: daily, weekly, monthly.
The type of change the ReportNotification is tracking. Possible values: percentage, dollars.
Response
ReportNotification model
The title of the ReportNotification.
"Acme Report Notification"
The token for a CostReport the ReportNotification is applied to.
"rprt_abcd1234"
The Users that receive the notification.
The Slack or Microsoft Teams channels that receive the notification.
The frequency the ReportNotification is sent.
daily, weekly, monthly "weekly"
The type of change the ReportNotification is tracking.
percentage, dollars "percentage"